## org.firebirdsql.jdbc.field
Interface FBFlushableField

All Known Implementing Classes:
  FBBlobField, FBCachedBlobField, FBCachedLongVarCharField, FBLongVarCharField

    public interface FBFlushableField

Instances of this field cache data in auto-commit case if no transaction is yet available and must be flushed before transaction is committed.

Version:
  1.0
Author:
  Roman Rokytskyy

Method Summary
`void` `flushCachedData()` Flush cached data to the database server.
`byte[]` `getCachedObject()` Get cached object.

Method Detail

### flushCachedData

    void flushCachedData()
                         throws SQLException

  Flush cached data to the database server.

  Throws:
    `SQLException` - if something went wrong.

### getCachedObject

    byte[] getCachedObject()
                           throws SQLException

  Get cached object.

  Returns:
    cached object of this field.
  Throws:
    `SQLException` - if something went wrong.

Copyright © 2001-2010. All Rights Reserved.